import { modifier } from "ember-modifier";

export default modifier((element, [callback]) => {
  function onResize() {
    callback();
  }

  window.addEventListener("resize", onResize);

  return () => {
    window.removeEventListener("resize", onResize);
  };
});